# Imported for cpuid, archspec and conda
%global toolchain clang
Name:           python-cpuid-native
Version:        0.0.8
Release:        %mkrel 2
Summary:        x86 cpuid native API
Group:          Development/Python

License:        MIT
URL:            https://github.com/fpelliccioni/cpuid-py-native
Source:         %{pypi_source cpuid_native}

ExclusiveArch: x86_64

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
x86 cpuid native API}

%description %_description

%package -n     python3-cpuid-native
Summary:        %{summary}

%description -n python3-cpuid-native %_description

# Review which extras should be actually packaged
%pyproject_extras_subpkg -n python3-cpuid-native dev,test


%prep
%autosetup -p1 -n cpuid_native-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev,test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files cpuid_native


%check
%pyproject_check_import


%files -n python3-cpuid-native -f %{pyproject_files}



%changelog
* Fri Mar 22 2024 papoteur <papoteur> 0.0.8-2.mga10
+ Revision: 2051437
- bump release
- limit build on x86_64, it concerns only x86 and don't build on i586
- imported package python-cpuid-native

